package anbo.easj.dk.proximityalertexample;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.Intent;
import android.location.LocationManager;
import android.os.Bundle;
import android.widget.TextView;


public class MainActivity extends Activity {
    private LocationManager locationManager;
    private PendingIntent pendingIntent;
    private final double latitude = 55.6428571; // Elisagårdsvej 5, Roskilde
    private final double longitude = 12.1015253;
    private final int radius = 2; // meter
    private final int expiration = 60*10*1000; // msec, -1 means no expiration

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        TextView view = (TextView)findViewById(R.id.startMessageView);
        view.setText(String.format("Walk around to see if you enter or exit the area around (%s, %s)", latitude, longitude));
        locationManager = (LocationManager) this.getSystemService(LOCATION_SERVICE);
        Intent intent = new Intent(getBaseContext(), MessageActivity.class);
        pendingIntent = PendingIntent.getActivity(this, 0, intent, 0);
        locationManager.addProximityAlert(latitude, longitude, radius, expiration, pendingIntent);
    }

 /*   @Override
    protected void onPause() {
        super.onPause();
        locationManager.removeProximityAlert(pendingIntent);
    }

    @Override
    protected void onResume() {
        super.onResume();
        locationManager.addProximityAlert(latitude, longitude, radius, expiration, pendingIntent);
    }*/
}
